using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface IAssessmentStorage
    {
        List<AssessmentViewModel> GetFullList();
        List<AssessmentViewModel> GetFilteredList(AssessmentSearchModel model);
        AssessmentViewModel? GetElement(AssessmentSearchModel model);
        int? Insert(AssessmentBindingModel model);
        AssessmentViewModel? Update(AssessmentBindingModel model);
        AssessmentViewModel? Delete(AssessmentBindingModel model);
    }
}
